
DeadDrop - Feature #15

Protect Client by Password

07/18/2023 01:03 AM - Sancho Fock

Status: Closed Start date: 10/06/2023

Priority: Normal Due date: 10/14/2023

Assignee: Sancho Fock % Done: 100%

Category: Client Estimated time: 16:00 hours

Target version: 0.4.x   

Description

The user shall be able to configure if he wants to protect the client by Password

Related issues:

Precedes Feature #16: Protect Android Client by Biometrics New 01/24/2024 02/05/2024

Precedes Feature #17: Protect iOS Client by Biometrics Feedback 10/16/2023 10/16/2023

Follows Feature #19: Encrypt local config files Closed 07/24/2023 07/26/2023

Follows Feature #35: Replace scAPI with localLib Closed 08/11/2023 10/02/2023

Follows Feature #12: Implement Private secure Drops Client Closed 10/04/2023 10/05/2023

Precedes Feature #20: Encrypt database content Closed 10/17/2023 10/20/2023

Precedes Feature #42: HashInvite Passwords Closed 10/16/2023 10/16/2023

History

#1 - 07/18/2023 12:46 PM - Sancho Fock

- Precedes Feature #16: Protect Android Client by Biometrics added

#2 - 07/18/2023 12:46 PM - Sancho Fock

- Precedes Feature #17: Protect iOS Client by Biometrics added

#3 - 07/18/2023 12:58 PM - Sancho Fock

- Estimated time set to 4:00 h

#4 - 07/19/2023 02:36 AM - Sancho Fock

- Target version changed from open to 0.2.0

#5 - 07/20/2023 02:02 AM - Sancho Fock

- Start date changed from 07/18/2023 to 07/21/2023

#6 - 07/22/2023 01:12 AM - Sancho Fock

- Start date changed from 07/21/2023 to 07/25/2023

#7 - 07/23/2023 09:01 PM - Sancho Fock

- Due date set to 07/24/2023

- Start date changed from 07/25/2023 to 07/24/2023

- Follows Feature #19: Encrypt local config files added

#8 - 07/24/2023 10:28 PM - Sancho Fock

- Due date changed from 07/24/2023 to 07/26/2023

- Start date changed from 07/24/2023 to 07/26/2023

#9 - 07/24/2023 10:41 PM - Sancho Fock

- Due date changed from 07/26/2023 to 07/27/2023

- Start date changed from 07/26/2023 to 07/27/2023
#10 - 07/25/2023 11:34 PM - Sancho Fock

- Follows Feature #35: Replace scAPI with localLib added

#11 - 07/25/2023 11:36 PM - Sancho Fock

- Target version changed from 0.2.0 to open

#12 - 07/25/2023 11:48 PM - Sancho Fock

- Target version changed from open to 0.4.x

#13 - 07/29/2023 12:02 AM - Sancho Fock

- Due date changed from 07/27/2023 to 08/17/2023

- Start date changed from 07/27/2023 to 08/17/2023

#14 - 07/29/2023 12:05 AM - Sancho Fock

- Due date changed from 08/17/2023 to 08/21/2023

- Start date changed from 08/17/2023 to 08/21/2023

- Follows Feature #12: Implement Private secure Drops Client added

#15 - 07/29/2023 12:05 AM - Sancho Fock

- Precedes Feature #20: Encrypt database content added

#16 - 08/05/2023 11:40 PM - Sancho Fock

- Due date changed from 08/21/2023 to 08/24/2023

- Start date changed from 08/21/2023 to 08/24/2023

#17 - 08/05/2023 11:43 PM - Sancho Fock

- Due date changed from 08/24/2023 to 08/28/2023

- Start date changed from 08/24/2023 to 08/28/2023

#18 - 08/05/2023 11:44 PM - Sancho Fock

- Due date changed from 08/28/2023 to 08/23/2023

- Start date changed from 08/28/2023 to 08/23/2023

#19 - 08/05/2023 11:45 PM - Sancho Fock

- Due date changed from 08/23/2023 to 08/24/2023

- Start date changed from 08/23/2023 to 08/24/2023

#20 - 08/06/2023 09:30 PM - Sancho Fock

- Due date changed from 08/24/2023 to 08/21/2023

- Start date changed from 08/24/2023 to 08/21/2023

#21 - 08/06/2023 09:32 PM - Sancho Fock

- Due date changed from 08/21/2023 to 08/22/2023

- Start date changed from 08/21/2023 to 08/22/2023

#22 - 08/06/2023 09:33 PM - Sancho Fock

- Due date changed from 08/22/2023 to 08/16/2023

- Start date changed from 08/22/2023 to 08/16/2023

#23 - 08/06/2023 09:35 PM - Sancho Fock

- Due date changed from 08/16/2023 to 08/17/2023

- Start date changed from 08/16/2023 to 08/17/2023

#24 - 08/06/2023 09:39 PM - Sancho Fock
- Due date changed from 08/17/2023 to 08/15/2023

- Start date changed from 08/17/2023 to 08/15/2023

#25 - 08/06/2023 09:40 PM - Sancho Fock

- Due date changed from 08/15/2023 to 08/16/2023

- Start date changed from 08/15/2023 to 08/16/2023

#26 - 08/06/2023 09:40 PM - Sancho Fock

- Due date changed from 08/16/2023 to 08/17/2023

- Start date changed from 08/16/2023 to 08/17/2023

#27 - 08/07/2023 11:15 PM - Sancho Fock

- Due date changed from 08/17/2023 to 08/16/2023

- Start date changed from 08/17/2023 to 08/16/2023

#28 - 08/07/2023 11:18 PM - Sancho Fock

- Due date changed from 08/16/2023 to 08/18/2023

- Start date changed from 08/16/2023 to 08/18/2023

#29 - 08/07/2023 11:18 PM - Sancho Fock

- Due date changed from 08/18/2023 to 08/21/2023

- Start date changed from 08/18/2023 to 08/21/2023

#30 - 08/07/2023 11:18 PM - Sancho Fock

- Due date changed from 08/21/2023 to 08/22/2023

- Start date changed from 08/21/2023 to 08/22/2023

#31 - 10/02/2023 10:50 AM - Sancho Fock

- Due date changed from 10/05/2023 to 10/09/2023

- Start date changed from 10/05/2023 to 10/09/2023

#32 - 10/02/2023 04:39 PM - Sancho Fock

- Due date changed from 10/09/2023 to 10/05/2023

- Start date changed from 10/09/2023 to 10/05/2023

#33 - 10/02/2023 04:40 PM - Sancho Fock

- Due date changed from 10/05/2023 to 10/06/2023

- Start date changed from 10/05/2023 to 10/06/2023

#34 - 10/03/2023 01:13 AM - Sancho Fock

- Precedes Feature #42: HashInvite Passwords added

#35 - 10/05/2023 10:24 PM - Sancho Fock

- Status changed from New to In Progress

#36 - 10/06/2023 10:53 PM - Sancho Fock

- Due date changed from 10/06/2023 to 10/07/2023

- % Done changed from 0 to 30

#37 - 10/07/2023 11:13 PM - Sancho Fock

- % Done changed from 30 to 70

#38 - 10/07/2023 11:14 PM - Sancho Fock

- Due date changed from 10/07/2023 to 10/08/2023

04/19/2025 3/4



#39 - 10/08/2023 12:12 AM - Sancho Fock

- Due date changed from 10/08/2023 to 10/09/2023

- Estimated time changed from 4:00 h to 12:00 h

Improved estimated effort, because more changes are necessary as initially thought.

In Delphi we need a ne Datatype Key. containing the raw Biniary as well as the useable Key and the current Password.

In scCMD, scInterface and scAPI there must be a method to validate a key or/and an interface to crypt and decrypt a key.

#40 - 10/08/2023 11:24 PM - Sancho Fock

- Estimated time changed from 12:00 h to 16:00 h

#41 - 10/10/2023 12:45 AM - Sancho Fock

- Due date changed from 10/09/2023 to 10/10/2023

- % Done changed from 70 to 80

#42 - 10/12/2023 01:35 AM - Sancho Fock

- Due date changed from 10/10/2023 to 10/12/2023

- % Done changed from 80 to 90

#43 - 10/14/2023 01:50 AM - Sancho Fock

- Due date changed from 10/12/2023 to 10/14/2023

#44 - 10/15/2023 05:25 PM - Sancho Fock

- Status changed from In Progress to Resolved

- % Done changed from 90 to 100

#45 - 10/21/2023 01:22 AM - Sancho Fock

- Status changed from Resolved to Closed

Powered by TCPDF (www.tcpdf.org)

04/19/2025 4/4

http://www.tcpdf.org

